<jsp:directive.page pageEncoding="UTF-8" />
<jsp:scriptlet>
	// printConfig.jsp は、javax.servlet.ServletConfig オブジェクトのことです。
	// JSP では、config オブジェクトでアクセスできます。
	// スコープは、page です。
</jsp:scriptlet>

<b>ServletConfig config.getInitParameterNames</b><br />
<table border="2" frame="box" rules="all" style="white-space: normal" >
<tr><th>KEY</th><th>VALUE</th></tr>
<jsp:scriptlet>
	if( true ) {
		java.util.Enumeration enum1 = config.getInitParameterNames();

		while( enum1.hasMoreElements() ) {
			String key = (String)(enum1.nextElement());
		    String value = config.getInitParameter( key );
		    if ( value != null )  {
</jsp:scriptlet>
<tr>
	<td><jsp:expression>key</jsp:expression></td>
	<td style="white-space: normal"><jsp:expression>value</jsp:expression></td>
</tr>
<jsp:scriptlet>
		    }
		}
	}
</jsp:scriptlet>
</table>
<p><!-- --></p>
